package org.springblade.common.enums;

import lombok.Getter;

/**
 * 是否枚举类
 */
@Getter
public enum AuditStatusEnum {
	WAIT("待审核", 0),
	PASS("通过", 1),
	NOT_PASS("未通过", 2);
	private String name;
	private Integer value;

	AuditStatusEnum(String name, Integer value) {
		this.name = name;
		this.value = value;
	}

	public static String getNameByValue(Integer value) {
		for (AuditStatusEnum statusEnum : AuditStatusEnum.values()) {
			if (statusEnum.value.equals(value)) {
				return statusEnum.getName();
			}
		}
		return "未知";
	}
}
